LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::sdbc::ColumnSearch Constant Group Referencepublished

indicates in which way a column can be used in the WHERE search. More...

## Variables
const long | NONE = 0
| A possible value for column `SEARCHABLE` in the com::sun::star::sdbc::XResultSet object returned by the method com::sun::star::sdbc::XDatabaseMetaData::getTypeInfo(). More...
const long | CHAR = 1
| A possible value for column `SEARCHABLE` in the com::sun::star::sdbc::XResultSet object returned by the method com::sun::star::sdbc::XDatabaseMetaData::getTypeInfo(). More...
const long | BASIC = 2
| A possible value for column `SEARCHABLE` in the com::sun::star::sdbc::XResultSet object returned by the method com::sun::star::sdbc">XDatabaseMetaData::getTypeInfo(). More...
const long | FULL = 3
| A possible value for column `SEARCHABLE` in the com::sun::star::sdbc::XResultSet object returned by the method com::sun::star::sdbc">XDatabaseMetaData::getTypeInfo(). More...

## Detailed Description

indicates in which way a column can be used in the WHERE search.

## Variable Documentation

## ◆ BASIC

const long BASIC = 2

A possible value for column `SEARCHABLE` in the com::sun::star::sdbc::XResultSet object returned by the method com::sun::star::sdbc">XDatabaseMetaData::getTypeInfo().

Indicates that one can base all `WHERE` search clauses except `WHERE...LIKE` on this data type.

## ◆ CHAR

const long CHAR = 1

A possible value for column `SEARCHABLE` in the com::sun::star::sdbc::XResultSet object returned by the method com::sun::star::sdbc::XDatabaseMetaData::getTypeInfo().

Indicates that the only `WHERE` search clause that can be based on this type is `WHERE...LIKE`.

## ◆ FULL

const long FULL = 3

A possible value for column `SEARCHABLE` in the com::sun::star::sdbc::XResultSet object returned by the method com::sun::star::sdbc">XDatabaseMetaData::getTypeInfo().

Indicates that all `WHERE` search clauses can be based on this type.

## ◆ NONE

const long NONE = 0

A possible value for column `SEARCHABLE` in the com::sun::star::sdbc::XResultSet object returned by the method com::sun::star::sdbc::XDatabaseMetaData::getTypeInfo().

Indicates that `WHERE` search clauses are not supported for this type.